# Game results(roundWin)

## Baccarat(BA)

roundWin Consists of four groups of numbers

The first digit represents the winner:

* 1: Banker wins
* 2: Player wins
* 3: Tie

The second digit represents the banker pair:

* 0: No pair
* 1: Banker pair

The third digit represents the pair.:

* 0: No pair
* 1: Player pair

The fourth digit represents lucky 6 or lucky 7:

* 0 = No Value
* 1 = LuckySix (grade 1, odds 20)
* 2 = LuckySix (grade 2, odds 12)
* 3 = LuckySeven (grade 1, odds 15)
* 4 = LuckySeven (grade 2, odds 6)
* 5 = SuperLuckySeven (grade 1, odds 100)
* 6 = SuperLuckySeven (grade 2, odds 40)
* 7 = SuperLuckySeven (grade 3, odds 30)

```js
roundCard: "1a,15,4b,38,38,0"
roundWin: "2,0,1,0"
//Player wins and has a player pair
```

## Dragon Tiger(DT)

roundWin Consists of 1 set of numbers

1: Dragon wins, 2: Tiger wins, 3: Tie

```js
roundCard: "2d,18" // Tiger, Dragon
roundWin: "2"
//Tiger wins
```

## Sic-bo(DI/DIX)

roundWin Consists of 1 set of numbers

Dice Sum

```js
roundCard: "1,3,3"
roundWin: "7"
```

## Roulette(RO)

roundWin Consists of 1 set of numbers

Winning Numbers

```js
roundCard: "7"
roundWin: "7"
//redNums   = 1, 3, 5, 7, 9, 12, 14, 16, 18, 19, 21, 23, 25, 27, 30, 32, 34, 36
//blackNums = 2, 4, 6, 8, 10, 11, 13, 15, 17, 20, 22, 24, 26, 28, 29, 31, 33, 35
```

## Lucky Wheel(LW)

roundWin Consists of 1 set of numbers

Winning Numbers

```js
roundCard: "07"
roundWin: "07"
```

| 代碼 | 描述                                                       |
| -- | -------------------------------------------------------- |
| 01 | East Wind(Blockchain Lucky Wheel)/Yellow(Lucky Wheel)    |
| 02 | South Wind(Blockchain Lucky Wheel)/Blue(Lucky Wheel)     |
| 03 | West Wind(Blockchain Lucky Wheel)/Pink(Lucky Wheel)      |
| 04 | North Wind(Blockchain Lucky Wheel)/Green(Lucky Wheel)    |
| 05 | White Dragon(Blockchain Lucky Wheel)/Purple(Lucky Wheel) |
| 06 | Red Dragon(Blockchain Lucky Wheel)/Orange(Lucky Wheel)   |
| 07 | Green Dragon(Blockchain Lucky Wheel)/Red(Lucky Wheel)    |

## FanTan(FAN)

roundWin Consists of 1 set of numbers

The number of beads remaining in the last row

```js
roundCard: "4"
roundWin: "4"
```

## color game(CG)

roundWin Consists of 4 groups of numbers

The first digit represents the face-up color of the first die.

The second digit represents the face-up color of the second die.

The third digit represents the face-up color of the third die.

The fourth digit represents the face-up color of the Super Game die.

```js
roundCard: "2,2,2,5"
roundWin: "2,2,2,5"
```

| Code | describe |
| ---- | -------- |
| 1    | Yellow   |
| 2    | Blue     |
| 3    | Pink     |
| 4    | Green    |
| 5    | Red      |
| 6    | White    |

## HI-LO(HL)

roundWin Consists of 3 groups of numbers

The first digit represents the result: 1: Hi, 2: Lo, 3:

The second digit represents the Hi-Lo+2 odds: 1: Straight, 2: Pair, 3: Straight Flush, 4: Flush with the same digit

The third digit represents the Super X: 1: Yes, 0: No.

```js
roundCard: "48,16"
roundWin: "2,0,1"
```

## Drop Ball Jackpot(DB)

DBM roundWin Consists of 3 groups of numbers

The first digit indicates which card the first ball landed on.

The second digit indicates which card the second ball landed on.

The third digit indicates which card the third ball landed on.

DBJ roundWin is composed of four groups of digits.

The last group of digits indicates whether there is a Super Spin game. 0: No Super Spin; C: Super Spin, with Super Spin odds applied.

```js
roundCard: "19,1a,11"
roundWin: "19,1a,11"

The first ball landed on the 9 card. 
The second ball landed on the 10 card. 
The third ball landed on the A card.

// DBJ
roundWin: "1a,1a,1a,c"
```

## One Lucky 9(OLN)

roundWin Consists of 4 groups of numbers

The first digit represents the winning number if the player stops: 1: Banker wins, 2: Player wins, 3: Tie

The second digit represents the winning number if the player hits: 1: Banker wins, 2: Player wins, 3: Tie

The third digit represents the side bet

The fourth digit represents the pair

```js
roundCard: "36,49,0,1a,19,36"
roundWin: "2,3,0,0"
```

| Side Note Code | Description              |
| -------------- | ------------------------ |
| 0              | Loose cards              |
| 1              | Flush                    |
| 2              | Straight                 |
| 3              | Three                    |
| 4              | Straight Flush           |
| 5              | Same suit and same point |

| Pair Code | Description      |
| --------- | ---------------- |
| 0         | No pair          |
| 1         | Mixed color pair |
| 2         | Same color pair  |
| 3         | Perfect pair     |

## Sakla(SAK)

roundWin Composed of 2 sets of numbers

Two cards of the same suit in a straight game result

```js
roundCard: "2b,34,31,27,24,4b,15,43,46,1c,41,16,1b,17"
roundWin: "16,17"

// Sword 6，7
// SWORDS_6_7
```

## Xoc Dia (XD)

roundCard is the count of red buttons. roundWin Consists of 2 groups of numbers.

The first digit represents Big, Small, or Tie:

* 1: Big
* 2: Small
* 3: Tie

The second digit represents Odd or Even:

* 1: Odd
* 2: Even

```js
roundCard: "4"
roundWin: "1,2"
```

The above example is Big / Even.

## Bac Bo (DIO)

`roundWin` consists of a single number.

`roundCard: "4,5,2,4"`

**Banker Dice:** 4, 5\
**Player Dice:** 2, 4

* roundWin values:
  * 1: Banker wins
  * 2: Player wins
  * 3: Tie

```js
roundWin: "1"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pkg333.app/en/enum/enum-roundwin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
